## brcmfmac-nexmon-dkms 6.12.2

=== Makefile ===
# SPDX-License-Identifier: ISC
#
# Makefile fragment for Broadcom 802.11 Networking Device Driver
#
# Copyright (c) 2010 Broadcom Corporation
#
SHELL := /bin/sh
KVER ?= $(if $(KERNELRELEASE),$(KERNELRELEASE),$(shell uname -r))
KSRC ?= $(if $(KERNEL_SRC),$(KERNEL_SRC),/lib/modules/$(KVER)/build)

MODDESTDIR := /lib/modules/$(KVER)/kernel/drivers/net/wireless/broadcom/brcm80211/brcmfmac

ifneq ("$(INSTALL_MOD_PATH)", "")
DEPMOD_ARGS = -b $(INSTALL_MOD_PATH)
else
DEPMOD_ARGS =
endif

#Handle the compression option for modules in 3.18+
ifneq ("","$(wildcard $(MODDESTDIR)/*.ko.gz)")
COMPRESS_GZIP := y
endif
ifneq ("","$(wildcard $(MODDESTDIR)/*.ko.xz)")
COMPRESS_XZ := y
endif
ifneq ("","$(wildcard $(MODDESTDIR)/*.ko.zst)")
COMPRESS_ZSTD := y
endif

ifeq ("","$(wildcard MOK.der)")
NO_SKIP_SIGN := y
endif

ccflags-y += \
	-I $(src) \
	-I $(src)/include \
	-DDEBUG

obj-$(CONFIG_BRCMFMAC) += brcmfmac.o
brcmfmac-objs += \
		cfg80211.o \
		chip.o \
		fwil.o \
		fweh.o \
		p2p.o \
		proto.o \
		common.o \
		core.o \
		firmware.o \
		feature.o \
		btcoex.o \
		vendor.o \
		pno.o \
		xtlv.o
brcmfmac-$(CONFIG_BRCMFMAC_PROTO_BCDC) += \
		bcdc.o \
		fwsignal.o
brcmfmac-$(CONFIG_BRCMFMAC_PROTO_MSGBUF) += \
		commonring.o \
		flowring.o \
		msgbuf.o
brcmfmac-$(CONFIG_BRCMFMAC_SDIO) += \
		sdio.o \
		bcmsdh.o
brcmfmac-$(CONFIG_BRCMFMAC_USB) += \
		usb.o
brcmfmac-$(CONFIG_BRCMFMAC_PCIE) += \
		pcie.o
brcmfmac-$(CONFIG_BRCMDBG) += \
		debug.o
brcmfmac-$(CONFIG_BRCM_TRACING) += \
		tracepoint.o
brcmfmac-$(CONFIG_OF) += \
		of.o
brcmfmac-$(CONFIG_DMI) += \
		dmi.o

all:
	$(MAKE) -j`nproc` -C $(KSRC) M=$$PWD modules

install: all
	@install -D -m 644 -t $(MODDESTDIR) *.ko

ifeq ($(COMPRESS_GZIP), y)
	@gzip -f $(MODDESTDIR)/*.ko
endif
ifeq ($(COMPRESS_XZ), y)
	@xz -f -C crc32 $(MODDESTDIR)/*.ko
endif
ifeq ($(COMPRESS_ZSTD), y)
	@zstd -f -q --rm $(MODDESTDIR)/*.ko
endif

	@depmod $(DEPMOD_ARGS) -a $(KVER)

clean:
	$(MAKE) -C $(KSRC) M=$$PWD clean
	@rm -f MOK.*

sign:
ifeq ($(NO_SKIP_SIGN), y)
	@openssl req -new -x509 -newkey rsa:2048 -keyout MOK.priv -outform DER -out MOK.der -nodes -days 36500 -subj "/CN=Custom MOK/"
	@mokutil --import MOK.der
else
	echo "Skipping key creation"
endif
	@for mod in $(wildcard *.ko); do \
		$(KSRC)/scripts/sign-file sha256 MOK.priv MOK.der $$mod; \
	done

sign-install: all sign install

=== debian/changelog ===
brcmfmac-nexmon-dkms (6.12.2) kali-dev; urgency=medium

  * Add recommends on firmware-nexmon
  * brcmfmac: update module version to 6.12.2-nexmon

 -- Steev Klimaszewski <steev@kali.org>  Mon, 14 Jul 2025 15:10:48 -0500

brcmfmac-nexmon-dkms (6.12.1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Remove power save message
  * Disable CI
  * brcmfmac: update module version to 6.12.1-nexmon

  [ thau0x01 ]
  * brcmfmac: initialize err in brcmf_cfg80211_change_beacon
  * brcmfmac: sdio: add declaration for brcmf_sdio_debugfs_create
  * brcmfmac: replace strlcpy with strscpy for safer string handling

 -- Steev Klimaszewski <steev@kali.org>  Fri, 11 Jul 2025 11:59:43 -0500

brcmfmac-nexmon-dkms (6.12) kali-dev; urgency=medium

  [ Nurse Jackass ]
  * compatability with 6.12
  * Edit Makefile - debug symbols in failure output.  disabling to test
  * Edit cfg80211.c to be compatible with 6.13
  * need debug on raspi

  [ Sniffleupagus ]
  * Change kernel cut off to 6.11.2, per gitlab actions failing

  [ Steev Klimaszewski ]
  * Bump module version to 6.12
  * Update standards version to 4.7.2, no changes needed
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 21 Apr 2025 22:23:29 -0500

brcmfmac-nexmon-dkms (6.6) kali-dev; urgency=medium

  * Initial release of brcmfmac-nexmon as a package

 -- Steev Klimaszewski <steev@kali.org>  Thu, 23 Jan 2025 14:10:53 -0600

=== debian/control ===
Source: brcmfmac-nexmon-dkms
Section: contrib/kernel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Steev Klimaszewski <steev@kali.org>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.7.2
Homepage: https://github.com/seemoo-lab/nexmon
Vcs-Browser: https://gitlab.com/kalilinux/packages/brcmfmac-nexmon-dkms
Vcs-Git: https://gitlab.com/kalilinux/packages/brcmfmac-nexmon-dkms.git

Package: brcmfmac-nexmon-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
Recommends: firmware-nexmon,
Description: Broadcom FMAC driver in DKMS format
 This package provides the source code for Broadcom FMAC Linux
 driver with nexmon's modifications to be built with dkms. Kernel
 sources or headers are required to compile this module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_dkms:
	# Force PACKAGE_VERSION to be DEB_VERSION_UPSTREAM
	sed -i dkms.conf -e 's%^PACKAGE_VERSION=.*%PACKAGE_VERSION="$(DEB_VERSION_UPSTREAM)"%'
	dh_dkms -- dkms.conf

execute_after_dh_fixperms:
	find debian/brcmfmac-nexmon-dkms/usr/src -type f -exec chmod -x {} \;

# Nothing to configure, build or auto-install (all is done after
# installation using dkms)
override_dh_auto_clean:
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:
